# plot the cumulative proportion of infected ----
infected.1=0 
infected.2=0
infected.mean=0
pop1 = sum(pop.by.region )

J=0
for(age.class in all.age.classes){
  J=J+1
  nb_filtered=  daily.numbers.hosp %>% filter(age== age.class) 
  nb_filtered =  aggregate(nb_filtered$hosp_pred, by=list(date=nb_filtered$date), FUN=sum)
  colnames(nb_filtered)[2]="hosp_pred" # %>% rename(nb_filtered,   hosp_pred ="x")
  infected =  deconvolution(nb_filtered$hosp_pred)
  
  mean.infection =array(0,dim = c(length(infected),1000) ) 
  for(K in 1:1000){
    ph = Sensitivity*PH[J,K]
    mean.infection[,K] =  infected/ph
  }
  infected.mean=infected.mean+ apply(mean.infection,2,cumsum)/pop1
  
} 

Infection.mean.and.ci = apply(100*infected.mean, 1, mean.and.ci)

Infections.France = data.frame( date =  selected_dates,infected.mean=Infection.mean.and.ci[1,],
                                infected.1 = Infection.mean.and.ci[2,],
                                infected.2 = Infection.mean.and.ci[3,],
                                region='Metropolitan France')

df.envelope = data.frame(x=c(Infections.France$date,rev(Infections.France$date)) ,
                         y= c(as.numeric(Infections.France$infected.1),rev(Infections.France$infected.2)) )


g <- ggplot()+ ggplot2::geom_polygon(data=df.envelope, ggplot2::aes(x, y), fill='black', alpha=0.3) + 
  geom_line(data=data.frame(x=selected_dates,mean=Infections.France$infected.mean),aes(x=x,y=mean), color='black', size=1.2) +
  theme_bw()+
  theme(axis.text.x = element_text(size=14),
        axis.text.y = element_text(size=16),
        text=element_text(size=16))  +
  ylab('Proportion infected (%)')+
  xlab('')+
  scale_x_date(date_breaks  = "2 months", date_labels='%b %y')

print(g) 

# plot the cumulative proportion of infected by region ----

J=0
data.infected = NULL
for(reg in Region.France.Metropolitaine){  
  
  J=J+1
  infected.1=0
  infected.2=0
  infected.mean=0
  # selecte classe d'age
  pop1 = sum(pop.by.region [which(rownames(pop.by.region )==reg),  ])
  
  infected.mean=0
  I=0
  MI=0
  for(age.class in all.age.classes){
    I=I+1
    
    nb_filtered=  daily.numbers.hosp %>% filter(age == age.class & region == reg)
    nb_filtered =  aggregate(nb_filtered$hosp_pred, by=list(date=nb_filtered$date), FUN=sum)
    colnames(nb_filtered)[2]="hosp_pred" 
    infected =  deconvolution(nb_filtered$hosp_pred)
    mean.infection =array(0,dim = c(length(infected),1000) ) 
    for(K in 1:1000){
      ph = Sensitivity*PH[I,K]
      mean.infection[,K] =  infected/ph
    }
    MI=MI+ mean.infection
  } 
  infected.mean=infected.mean+ apply(MI,2,cumsum)/pop1
  Infected.mean.and.ci = apply(infected.mean, 1, mean.and.ci)
  D = data.frame( date =  selected_dates,
                  infected.mean=100*Infected.mean.and.ci[1,],
                  infected.1 = 100*Infected.mean.and.ci[2,],infected.2 =100*Infected.mean.and.ci[3,],region=reg)
  data.infected=rbind(data.infected,D)
  
}

DATE= max(selected_dates)
W1 = which(data.infected$date == DATE)
W2 = which(Infections.France$date ==DATE)

I1 = rbind( data.infected[W1,],Infections.France[W2,])
infection_by_age_CI= data.frame(region = I1$region,
                                h1 =  I1$infected.mean,
                                h2=  I1$infected.2,
                                h3 = I1$infected.1,
                                X=1:14)

p <- ggplot(data = infection_by_age_CI)+geom_point(aes(x = X,y=h1))+
  geom_segment(aes(x=X, y=h2, xend=X, yend=h3))+
  theme_bw()+
  theme(axis.text.y = element_text(size=12),
        text=element_text(size=12),
        axis.text.x=element_text(size=12))+
  ylab('Proportion Infected (%) ')+
  ylim(c(0,NA)) +
  scale_x_continuous(breaks=infection_by_age_CI$X,
                     labels=infection_by_age_CI$region)  

print(p)
