##################################################################
##                                                              ## 
##                                                              ##
##    Monitoring the proportion of the population               ##
##    infected by SARS-CoV-2 using age-stratified               ##
##  hospitalisation and serological data: a modelling study     ##
##                                                              ##
##                                                              ##
## Author: Nathanael Hoze                                       ##
## Email: nathanael.hoze@pasteur.fr                             ##
## Last update: 20/04/2021                                      ##
##                                                              ##
##                                                              ##  
##################################################################
# load libraries 
library(lubridate)
library(ggplot2)
library(dplyr)
library(gridExtra)
library(RColorBrewer)
library(reshape)
library(pdftools)
library(ggpubr)
library(maptools)
library(rgeos)
library(scales)
############################################################
##                  Load Data and functions               ##
############################################################

source("load.R")

############################################################
##     Cumulative proportion of infected population       ##
############################################################ 
# plot cumulative proportion infected in each region
source('Proportion Infected.R')

# plot a map of France with the proportion infected in each region
source('FrenchMap.R')
